// 配置手册： https://cli.vuejs.org/zh/config/#vue-config-js

const { defineConfig } = require("@vue/cli-service");
module.exports = defineConfig({
  transpileDependencies: true,
  // publicPath: './',
  devServer: {
    port: 8036,
    proxy: {
      "/system/": {
        target: process.env.VUE_APP_DOMAIN,
        changeOrigin: true,
      },
    },
    client: {
      overlay: false,
    },
  },
  css: {
    loaderOptions: {
      less: {
        lessOptions: {
          javascriptEnabled: true,
          math: "always",
        },
      },
    },
  },
});
